$(document).ready(function() {
	$('#display').click(function(){
        UpdateIsHide();
    });
    
    $('.textarea').keyup(function(){
        var len=$('#questionMessage').val().length;
        if(len>60){
        $('.wrong').css("display","inline-block");
        var text="已超出"+(len-60)+"个字符";
        $('.wrong').html(text);
        }
        else{
        $('.wrong').css("display","none");
        $('.wrong').empty();
        }
        
    });
});

function UpdateIsHide(){
    $.ajax({
        type:"get",
        url:shopFolder + 'supplier/PdtAskDetailView.aspx?type=UpdateIsHide&aid='+aid,
        cache:false,
        async:false,
        dataType:"text",  
        success:function(data){
            switch(data){
                case 'succ':
                    var html;
                    if($('#display:contains("隐藏")').size()>0){
                    html="<span id=\"hide\" style=\"display:block\">隐藏" + "  " + "<a  id=\"display\" style=\"display:blcok; cursor: pointer;color:blue\">[公开]</a></span>";
                    $('#display').parent().html(html);
                    $('#display').unbind('click').bind('click',function(){
                        UpdateIsHide();
                        });
                    }
                    else{
                    html="<span id=\"show\" style=\"display:block\">公开" + "  " + "<a  id=\"display\" style=\"display:blcok; cursor: pointer;color:blue\">[隐藏]</a></span>";
                    $('#display').parent().html(html);
                    $('#display').unbind('click').bind('click',function(){
                        UpdateIsHide();
                        });
                    }
                    break;
                case 'fail':
                    break;
            };
        },
        error:function(){alert('error');}
    });
};

//获取字符串字节长度方法 
function GetLength(s){  
    var i,sum,len
    len=s.length;
    sum=0;  
    for(i=0;i<len;i++) {  
    if ((s.charCodeAt(i)>=0) && (s.charCodeAt(i)<=255))  
    sum=sum+1;  
    else  
    sum=sum+2;  
    }  
  return sum;  
}  

